Results 1 to 10 of 22

Thread: HPLIP Fax driver not installing in 9.10

Hybrid View

  1. #1
    Join Date
    Oct 2009
    Beans
    2

    HPLIP Fax driver not installing in 9.10

    Hi there! I'm a relatively new user to Linux, my previous experience being mainly embedded linux on the NSLU2. I had an old PC and decided to see what all the fuss was about, so today I installed Ubuntu for the first time. So far so good! Got it hooked up to my Sony Bravia via the vga port and got an old Geforce 2MX pumping out 1360x768 using the Nvidia driver, looks awesome! Also got all the extra restricted codecs and whatnot, no troubles at all.

    The only trouble is the HPLIP fax driver. I did the sudo aptitude install hplip-gui "work-around", so that I could then do the sudo hp-setup. Everything went well, it detected my networked HP C7280 without problems, and I've since tested the printing and scanning and both are fine. However right at the end, terminal reports the following:

    \error: Unable to locate the HPLIP Fax PPD file: HP-Fax-hpcups.ppd.gz Fax setup has been disabled
    Does anyone have any ideas as to how to fix this? Like I say I'm new to Linux really, although I think I'm doing pretty good so far!

  2. #2
    Join Date
    Jun 2007
    Location
    Sebastopol, CA USA
    Beans
    229
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: HPLIP Fax driver not installing in 9.10

    I am in the same boat. So, anybody that figures this out, great!

  3. #3
    Join Date
    Aug 2007
    Location
    Hasselt, Belgium
    Beans
    Hidden!
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: HPLIP Fax driver not installing in 9.10

    I'm working on it... (a workaround that is)

    I'll report back soon.
    No matter how great your product is, if you don't throw time and money against it it's a sh#tt# system. ubuntu <-> apple <-> microsoft

  4. #4
    Join Date
    Aug 2007
    Location
    Hasselt, Belgium
    Beans
    Hidden!
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Lightbulb Re: HPLIP Fax driver not installing in 9.10

    Got it!

    Downloaded the tarball here;
    http://hplipopensource.com/hplip-web...os/ubuntu.html

    And folowed Naga Samrat's instructions found here;
    https://answers.launchpad.net/hplip/+question/88043
    go to System -> Administrator -> Synaptic Package Manager
    Search for "hplip" and remove if any previous installation of HPLIP is there.

    In the hplip-3.9.8 directory execute the following commands

    sudo apt-get update

    sudo aptitude install --assume-yes libcupsys2 cupsddk cupsddk-drivers libcupsys2-dev cupsys-bsd libcupsimage2-dev libdbus-1-dev build-essential gs-esp openssl libjpeg62-dev libsnmp-dev libtool libusb-dev python-imaging policykit policykit-gnome python-qt4 python-qt4-dbus python-dbus python-gobject python-dev python-notify python python-reportlab libsane libsane-dev sane-utils xsane

    for 32-bit distro
    ./configure --with-hpppddir=/usr/share/ppd/HP --prefix=/usr --enable-qt4 --enable-doc-build --enable-cups-ppd-install --disable-foomatic-drv-install --disable-foomatic-ppd-install --disable-hpijs-install --disable-policykit --disable-cups-drv-install --enable-hpcups-install --enable-network-build --enable-dbus-build --enable-scan-build --enable-fax-build

    for 64-bit distro
    ./configure --with-hpppddir=/usr/share/ppd/HP --prefix=/usr --libdir=/usr/lib64 --enable-qt4 --enable-doc-build --enable-cups-ppd-install --disable-foomatic-drv-install --disable-foomatic-ppd-install --disable-hpijs-install --disable-policykit --disable-cups-drv-install --enable-hpcups-install --enable-network-build --enable-dbus-build --enable-scan-build --enable-fax-build

    make
    sudo make install

    Thank you for supporting HPLIP,
    Naga Samrat.
    Well, there seem to be more quirks in Karmic, but we'll get there!
    Anyway, compiling it from the hplip source fixed it for me!
    No matter how great your product is, if you don't throw time and money against it it's a sh#tt# system. ubuntu <-> apple <-> microsoft

  5. #5
    Join Date
    Nov 2009
    Location
    Edinburgh, UK
    Beans
    5
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HPLIP Fax driver not installing in 9.10

    An alternative (which the purists may not agree with) is to simply extract the missing files from a tarball and then copy them into the same directory as the other Fax ppds (/usr/share/ppd/hlip/HP from memory as I am at work now and not in front of my home machine). You need to do this as root to make sure that permissions are the same as the other files.

    I had the same problem and this worked fine for me - but of course if you are not happy doing this then the more structured approach as suggested would be a better bet.

  6. #6
    Join Date
    Aug 2007
    Location
    Hasselt, Belgium
    Beans
    Hidden!
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: HPLIP Fax driver not installing in 9.10

    Hey, I overlooked a solution that simple
    No matter how great your product is, if you don't throw time and money against it it's a sh#tt# system. ubuntu <-> apple <-> microsoft

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •